gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< Glib::RefPtr< Gtk::RecentInfo > > Class Template Reference

`#include <gtkmm/recentinfo.h>`

Inheritance diagram for Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >:
[legend]

## Public Types
typedef Glib::RefPtr < Gtk::RecentInfo > | CppType
typedef GtkRecentInfo* | CType

## Public Member Functions
void | set (const CppType& data)
CppType | get () const

## Static Public Member Functions
static GType | value_type ()

## Member Typedef Documentation

typedef Glib::RefPtr<Gtk::RecentInfo> Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::CppType

typedef GtkRecentInfo* Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::CType

## Member Function Documentation

CppType Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::get | ( |  | ) | const

void Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::set | ( | const CppType& | data | ) |

static GType Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::value_type | ( |  | ) |
| static